MODDIR=${0%/*}

# Hydro functions by AB
sh $MODDIR/assets/functions.sh
chmod -R 777 $MODDIR/joy_config

# Iris Helper by AB
chmod -R 777 $MODDIR/iris
nohup sh $MODDIR/iris/iris_helper.sh >/dev/null 2>&1 &
# Iris Helper fin.

# Conflict detector
hydro_cure(){
    if pm list packages | grep -q "xyz.chenzyadb.cu_toolbox"; then
        pm uninstall --user 0 xyz.chenzyadb.cu_toolbox
    fi
    local dir
    local subdir
    for dir in /data/adb/modules /data/adb/modules_update; do
        for subdir in $(find "$dir" -maxdepth 1 -type d); do
            local module_prop="$subdir/module.prop"
            if [ -f "$module_prop" ]; then
                if grep -q -e 'chenzy' -e 'int萌新很新' -e '水竹闲士' -e 'SutoLiu' "$module_prop"; then
                    rm -rf "$subdir"
                    mkdir "$subdir"
                    touch "$subdir"/remove
                fi
            fi
        done
    done
}
hydro_cure